/*
 Navicat Premium Data Transfer

 Source Server         : jiedao-uat
 Source Server Type    : MySQL
 Source Server Version : 80031 (8.0.31)
 Source Host           : 159.75.224.138:2297
 Source Schema         : jiedao

 Target Server Type    : MySQL
 Target Server Version : 80031 (8.0.31)
 File Encoding         : 65001

 Date: 15/08/2024 11:03:34
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for member_user_score
-- ----------------------------
DROP TABLE IF EXISTS `member_user_score`;
CREATE TABLE `member_user_score`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `member_id` bigint NOT NULL COMMENT '会员id',
  `hold_score` int NOT NULL DEFAULT 0 COMMENT '持有积分',
  `used_score` int NOT NULL DEFAULT 0 COMMENT '已使用积分',
  `expired_score` int NOT NULL DEFAULT 0 COMMENT '过期积分',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `creator` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `updater` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `deleted` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '会员积分表' ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
